package de.lmu.ifi.mfchords;

import de.lmu.ifi.mfchords.utils.*;
import android.annotation.SuppressLint;
import android.app.ActionBar;
import android.app.ActionBar.Tab;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;


public class MultiFingerChordActivity extends Activity {

	
	@SuppressLint("NewApi")
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//setContentView(R.layout.activity_multi_finger_chord);
		
		Intent intent = new Intent(this, MFCRecognizer.class);
		//intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        startService(intent);
		
		ActionBar actionBar = getActionBar();
        actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
        actionBar.setDisplayShowTitleEnabled(false);

         
        
        
        Tab calibTab = actionBar.newTab()
                .setText(R.string.Calibration)
                .setTabListener(new MyTabsListener<CalibFragment>(this, "Calibration", CalibFragment.class));
        actionBar.addTab(calibTab);
        
        Tab demoTab = actionBar.newTab()
                .setText(R.string.Demo)
                .setTabListener(new MyTabsListener<DemoFragment>(this, "Demo", DemoFragment.class));
        actionBar.addTab(demoTab);
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.multi_finger_chord, menu);
		return true;
	}

}
